apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{.Values.deployment.name}}-xnat-ingress
spec:
{{- if eq .Values.deployment.tls "ingress" }}
  tls:
  - hosts:
    - {{.Values.deployment.host}}
    secretName: {{.Values.deployment.host}}-xnat-tls
{{- end }} 
  rules:
  - host: {{.Values.deployment.host}}
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: {{.Values.deployment.name}}-xnat-webapp
            port:
              number: 8080
